View Issue Details

IDProjectCategoryView StatusLast Update
0000094Adventure PHP FrameworkCode-Verbesserung // Code improvementpublic2015-10-31 13:50
ReporterChristianAchatzAssigned ToChristianAchatz 
PrioritynormalSeverityfeatureReproducibilityN/A
Status resolvedResolutionfixed 
Product Version1.17 
Target Version3.1Fixed in Version3.1 
Summary0000094: Upgrade ReCaptcha library to version 2
DescriptionCurrent implementation of the ReCAPTCHA integration is based on version 1. Within this issue it should be upgraed to version 2.
TagsNo tags attached.
Codereferenz: ([Datei]:[Zeile])
Namespacemodules

Relationships

related to 0000052 closedChristianAchatz Dokumentation // Documentation Migration der Dokumentation auf die Version 2.0 (Tutorials) 

Activities

ChristianAchatz

2014-05-16 18:10

administrator   ~0000343

Postponed to 2.2 to get 2.1 closed soon.

ChristianAchatz

2015-10-30 23:27

administrator   ~0000631

Issue changed to upgrade ReCAPTCHA integration to version 2.

ChristianAchatz

2015-10-31 13:08

administrator   ~0000632

* Implementation done.
* Documentation done.

ChristianAchatz

2015-10-31 13:50

administrator   ~0000633

Added unit tests and thus closing issue.

Issue History

Date Modified Username Field Change
2013-11-25 21:05 ChristianAchatz New Issue
2013-11-25 21:22 ChristianAchatz Relationship added related to 0000052
2013-12-23 23:41 ChristianAchatz Product Version 2.0 => 1.17
2013-12-23 23:41 ChristianAchatz Target Version 2.0 => 2.1
2014-05-16 18:10 ChristianAchatz Note Added: 0000343
2014-05-16 18:10 ChristianAchatz Target Version 2.1 => 3.0
2014-09-06 15:09 ChristianAchatz Target Version 3.0 => 3.1
2015-10-30 23:26 ChristianAchatz Assigned To => ChristianAchatz
2015-10-30 23:26 ChristianAchatz Status new => assigned
2015-10-30 23:27 ChristianAchatz Note Added: 0000631
2015-10-30 23:28 ChristianAchatz Summary Secure comment function with ReCaptcha instead of simple CAPTCHA to hinder SPAM attacks => Upgrade ReCaptcha library to version 2
2015-10-30 23:28 ChristianAchatz Description Updated View Revisions
2015-10-31 13:08 ChristianAchatz Note Added: 0000632
2015-10-31 13:50 ChristianAchatz Note Added: 0000633
2015-10-31 13:50 ChristianAchatz Status assigned => resolved
2015-10-31 13:50 ChristianAchatz Fixed in Version => 3.1
2015-10-31 13:50 ChristianAchatz Resolution open => fixed